### Method

# Camel FilterDriver filter_folder

#### Declaration [src]

    gint
    camel_filter_driver_filter_folder (
      CamelFilterDriver* driver,
      CamelFolder* folder,
      CamelUIDCache* cache,
      GPtrArray* uids,
      gboolean remove,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Filters a folder based on rules defined in the FilterDriver object.

#### Parameters

`folder`

  Type: `CamelFolder`

  CamelFolder to be filtered.

  The data is owned by the caller of the method.

`cache`

  Type: `CamelUIDCache`

  UID cache (needed for POP folders).

  The data is owned by the caller of the method.

`uids`

  Type: An array of `utf8`

  Message uids to be filtered or `NULL` (as a shortcut to filter all messages).

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`remove`

  Type: `gboolean`

  TRUE to mark filtered messages as deleted.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gint`

-1 if errors were encountered during filtering, otherwise returns 0.